% find expected values of both offers for each trial
% EVLeft = expected values for left offer
% EVRight = expected values for right offer
function [EVLeft, EVRight] = expectedValues2(data)
% find expected value of both offers for each trial
    vars = data.vars;
    
    % determine values necessary to calculate EV (reward values and
    % probabilities)
    leftTop = vars(:,5);
    leftBottom = vars(:,6);
    leftTopProb = vars(:,12);
    rightTop = vars(:,7);
    rightBottom = vars(:,8);
    rightTopProb = vars(:,13);
    
    leftTopProb = leftTopProb ./ 100;
    rightTopProb = rightTopProb ./ 100;
    
    EVLeft = (leftTopProb.*leftTop)+((1-leftTopProb).*leftBottom);
    EVRight = (rightTopProb.*rightTop)+((1-rightTopProb).*rightBottom);
 
end