% extract the values of the bigger reward, the smaller reward, and the
% probability
% [side]Values: col 1: bigger outcome, col 2: smaller outcome, col 3:
% probabilty of bigger outcome
function [leftValues,rightValues] = gamblevalues2(celldata)
vars = celldata.vars;
leftValues = NaN(size(vars,1),3);
rightValues = NaN(size(vars,1),3);

leftTop = vars(:,5);
leftBottom = vars(:,6);
leftTopSmaller = leftTop<leftBottom;

% bigger value
leftValues(:,1) = leftTop;
leftValues(leftTopSmaller,1) = leftBottom(leftTopSmaller);
% smaller value
leftValues(:,2) = leftBottom;
leftValues(leftTopSmaller,2) = leftTop(leftTopSmaller);
% probabilities
leftValues(:,3) = vars(:,12)./100;
leftValues(leftTopSmaller,3) = 1-leftValues(leftTopSmaller,3);

rightTop = vars(:,7);
rightBottom = vars(:,8);
rightTopSmaller = rightTop<rightBottom;

rightValues(:,1) = rightTop;
rightValues(rightTopSmaller,1) = rightBottom(rightTopSmaller);
rightValues(:,2) = rightBottom;
rightValues(rightTopSmaller,2) = rightTop(rightTopSmaller);
rightValues(:,3)= vars(:,13)./100;
rightValues(rightTopSmaller,3) = 1-rightValues(rightTopSmaller,3);
end

