% function to return the probability of the outcome of each trial
% probabilities: [10,30,50,70,90]
function [probs] =  outcomeProbs(cellData)
vars = cellData.vars;
probs = zeros(size(vars,1),1);

choice = vars(:,16);
outcome = vars(:,17);

% split trials by outcome
leftTop = find(choice==1 & outcome==1);
leftBottom = find(choice==1 & outcome==2);
rightTop = find(choice==2 & outcome==1);
rightBottom = find(choice==2 & outcome==2);

% fill in reward values
probs(leftTop) = vars(leftTop, 12);
probs(leftBottom) = 100 - vars(leftBottom, 12);
probs(rightTop) = vars(rightTop, 13);
probs(rightBottom) = 100 - vars(rightBottom, 13);

% if both outcomes are the same, probability of outcome = 100%
% find safe trials: top and bottom outcomes of chosen gamble are equal
safetrials = find((vars(:,16)==1 & vars(:,5)==vars(:,6)) | (vars(:,16)==2 & vars(:,7)==vars(:,8)));
probs(safetrials) = 100;
end



