% function to return the outcome of each trial
% outcome value between [-2, 3]
% input: data from a single cell

function rewards =  outcomes(cellData)
vars = cellData.vars;
rewards = zeros(length(vars),1);

% 1: left, 2: right
choice = vars(:,16);
% 1: top, 2: bottom
outcome = vars(:,17);

% split trials by outcome
leftTop = find(choice==1 & outcome==1);
leftBottom = find(choice==1 & outcome==2);
rightTop = find(choice==2 & outcome==1);
rightBottom = find(choice==2 & outcome==2);

% fill in reward values
rewards(leftTop) = vars(leftTop, 5);
rewards(leftBottom) = vars(leftBottom, 6);
rewards(rightTop) = vars(rightTop, 7);
rewards(rightBottom) = vars(rightBottom, 8);

% replace weird values with NaNs
rewards(rewards<-2 | rewards>3) = NaN;
end



